Module jdk.compiler
Package com.sun.source.doctree

# Interface BlockTagTree

All Superinterfaces:
  `DocTree`

All Known Subinterfaces:
  `AuthorTree`, `DeprecatedTree`, `HiddenTree`, `ParamTree`, `ProvidesTree`, `ReturnTree`, `SeeTree`, `SerialDataTree`, `SerialFieldTree`, `SerialTree`, `SinceTree`, `SpecTree`, `ThrowsTree`, `UnknownBlockTagTree`, `UsesTree`, `VersionTree`

public interface BlockTagTree extends DocTree
A tree node used as the base class for the different types of block tags.

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getTagName

String getTagName()
Returns the name of the tag.

Returns:
  the name of the tag